Suolakeksi

BukkitForge - Getting Bukkit plugins on Tekkit Lite

Recommended Posts

Any chance people could start posting the versions of the mods they are using successfully. The latest version of core protect doesn't load up so I presume we should be using an older one? Essentials seems to have a similar problem on 2.96. I thought it was a permissions thing but even an op couldn't use the commands.

Also Group Manager is no longer available for download so is bPermissions the one to use now? Any version number in particular?

Share this post


Link to post
Share on other sites

Any chance people could start posting the versions of the mods they are using successfully. The latest version of core protect doesn't load up so I presume we should be using an older one? Essentials seems to have a similar problem on 2.96. I thought it was a permissions thing but even an op couldn't use the commands.

Also Group Manager is no longer available for download so is bPermissions the one to use now? Any version number in particular?

It is downloadable just only from their own site and its working fine:

http://wiki.ess3.net/wiki/Downloads <-- essentials site.

Share this post


Link to post
Share on other sites

Id reccommend BukkitPermissions 2.0 it works perfectly fine and will allways be up to date as bukkit doesnt break it as its their plugin.

Also any news on creeper nerf? i have block dmg set to false in essentials and worldguard but still nothing

Share this post


Link to post
Share on other sites

It is downloadable just only from their own site and its working fine:

http://wiki.ess3.net/wiki/Downloads <-- essentials site.

Thanks

Id reccommend BukkitPermissions 2.0 it works perfectly fine and will allways be up to date as bukkit doesnt break it as its their plugin.

Also any news on creeper nerf? i have block dmg set to false in essentials and worldguard but still nothing

I thought bukkitpermissions wasnt supported anymore

Share this post


Link to post
Share on other sites

Multiverse DOES NOT WORK. Nor do any other multiworld plugins. Cross-world TP'ing works in the latest builds.

Forge and bukkit have very different multiworld implementations. Bukkit has a separate world folder for each world, whereas forge stores them in <worldname>/DIM<number> - DIM0 for overworld, DIM-1 for nether and DIM1 for end. Along with that, each of those dimensions have the same name, meaning that on BukkitForge, worlds are named via their provider's name - overworld, the_nether and the_end. if you want mining ages, use mystcraft for now.

What Data i must delete that the Server create a new Netherworld? Only the Dim-1 Folder? Or more?

Share this post


Link to post
Share on other sites

Thanks

I thought bukkitpermissions wasnt supported anymore

It is still very supported as they build bukkit so it will work with the their permissions plugin.

Also Plugins Edge-Tek uses

Coreprotect (doesnt work)

EnjinMinecraftplugin (works)

Essentials (works)

Essentialsspawn (works)

LagMeter (works)

Lockette (doesnt work as it should)

Permissionsbukkit (works)

SimplePrefix (works via config file, not ingame commands)

WorldEdit and worldguard (works ok ish)

Share this post


Link to post
Share on other sites

Yo Guy I have a strange bug when I do /spawn it drops a nether portal and makes you not be seen by other players on the server .I really have no idea why this is doing it .if someone could help me that would be a big help . It is just. Strange Becuse when I tested it on a my other server it didn't do it . If any one know how I can fix this it would be a big help !!

Share this post


Link to post
Share on other sites

This link 404s. Can you please post a new link?

Thanks

If you use PEX you can use http://pex2gm.cgw.me/ to convert your permissions file and http://gravypod.com:8111/viewLog.html?buildId=lastSuccessful&buildTypeId=bt14&tab=artifacts&guest=1 to replace ModifyWorld. We recommend GroupManager over any other (PermissionsEx in particular) permissions plugins. For a list of reasons why, please read http://bit.ly/QBTtcQ

Share this post


Link to post
Share on other sites

I have a decent problem with Towny atm. Cannot login into the irc server for some reason so il post it here.

When a mayor is sending a invite and you want to use either /accept or /town accept both actions arent registered. the /town says action not registerd and the /accept give the normal minecraft error that its not a valid command. Using build 199.

Share this post


Link to post
Share on other sites

I have a decent problem with Towny atm. Cannot login into the irc server for some reason so il post it here.

When a mayor is sending a invite and you want to use either /accept or /town accept both actions arent registered. the /town says action not registerd and the /accept give the normal minecraft error that its not a valid command. Using build 199.

i have had this same problem, and ideas on how to fix it?

Share this post


Link to post
Share on other sites

I am having issues getting Dynmap to load properly. I have tried version of dynmap 1.3 and 1.4. Below is the error I found in the BukkitForge log. I hope this helps in finding the issue. If you need more, let me know.

<record>

  <date>2013-02-04T22:16:09</date>

  <millis>1360016169152</millis>

  <sequence>4078</sequence>

  <logger>BukkitForge</logger>

  <level>SEVERE</level>

  <class>org.bukkit.plugin.SimplePluginManager</class>

  <method>loadPlugins</method>

  <thread>30</thread>

  <message>Could not load './plugins/dynmap.jar' in folder './plugins'</message>

  <exception>

    <message>org.bukkit.plugin.InvalidPluginException: java.lang.IllegalArgumentException: Error initializing dynmap - bukkit version incompatible!</message>

    <frame>

      <class>org.bukkit.plugin.java.JavaPluginLoader</class>

      <method>loadPlugin</method>

      <line>204</line>

    </frame>

    <frame>

      <class>org.bukkit.plugin.SimplePluginManager</class>

      <method>loadPlugin</method>

      <line>307</line>

    </frame>

    <frame>

      <class>org.bukkit.plugin.SimplePluginManager</class>

      <method>loadPlugins</method>

      <line>232</line>

    </frame>

    <frame>

      <class>org.bukkit.craftbukkit.CraftServer</class>

      <method>loadPlugins</method>

      <line>804</line>

    </frame>

    <frame>

      <class>org.bukkit.craftbukkit.CraftServer</class>

      <method>&lt;init&gt;</method>

      <line>225</line>

    </frame>

    <frame>

      <class>keepcalm.mods.bukkit.asm.BukkitStarter</class>

      <method>run</method>

      <line>46</line>

    </frame>

    <frame>

      <class>java.lang.Thread</class>

      <method>run</method>

      <line>722</line>

    </frame>

  </exception>

</record>

Share this post


Link to post
Share on other sites

"TagAPI can't port itself to this version of bukkit."

This is what I get when using it. I don't really see reason in posting a log, because that's the only line related to TagAPI.

Sorry if it seems like I'm skimping on the details, but there's really nothing else apart from that.

Share this post


Link to post
Share on other sites

I am sorry. I thought it could be useful. I have never written any plugins or mods, so wasn't sure what would be of any use. I stripped out the log data from the original post so to not create some massive post.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.